/* EntryWidget.h */

#ifndef __ENTRYWIDGET_H
#define __ENTRYWIDGET_H

#include <string>
#include "Widget.h"

class EntryWidget : public Widget
{
  public:
    EntryWidget(int iYPos, int iXPos, int iXSize, const string& rkoStrLabel);

    /// application logic of the particular type of widget
    virtual void Draw (void);

    /// this window gets the keyboard focus
    virtual int KeyFocus (void);

    const string& GetValue (void);

  protected:
    void DrawEntry (void);
    
  private:
    string m_oStrLabel;
    string m_oStrValue;
    int m_iCurrPos;
    int m_iXSize;
};


#endif
